Closure
Closure::bind
Closure
PHP Manual

# Closure::__construct

(PHP 5 >= 5.3.0)

Closure::__construct — Constructor that disallows instantiation

### Description

private Closure::__construct ( void )

This method exists only to disallow instantiation of the Closure class. Objects of this class are created in the fashion described on the anonymous functions page.

### Parameters

This function has no parameters.

### Return Values

This method has no return value; it simply emits an error (of type `E_RECOVERABLE_ERROR`).

### See Also

- Anonymous functions

Closure
Closure::bind
Closure
PHP Manual